:root {
  --color-primary: #0042dd;
  --color-white: #ffffff;
  --color-black: #000000;
  --color-gray: #888888;
  --border-radius: 999px;
}

:root {
  --font-70: 70px;
  --font-40: 40px;
  --font-26: 26px;

  /* mobile  */
  --font-35: 35px;
  --font-30: 30px;
  --font-25: 25px;
  --font-24: 24px;
  --font-20: 20px;
  --font-18: 18px;
  --font-16: 16px;
  --font-14: 14px;
  --font-13: 13px;
  --font-11: 11px;
}

/* === БАЗОВЫЕ СТИЛИ === */
html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  font-family: "Arial", sans-serif;
  background-color: var(--color-black);
  color: var(--color-white);
}

nav a {
  color: var(--color-white);
  margin: 0 10px;
  text-decoration: none;
}

header {
  /* position: absolute; */
  top: 0;
  left: 0;
  width: 100%;
  padding: 8px 0px;
  align-items: center;
  z-index: 10;
}

/* === HERO === */
.hero-section {
  background: url("./assets/bg_screen_1@4x.png") no-repeat center center;
  background-size: cover;
  padding: 100px 20px 0px 20px;
  position: relative;
  text-align: center;
  color: var(--color-white);
  height: calc(100vh - 180px);
}

@media (max-width: 900px) {
  .hero-section {
    background: url("./assets/bg_screen_2@4x.png") no-repeat center bottom;
    background-size: 100% auto;
    background-repeat: no-repeat;
  }
}

.hero-content {
  max-width: 1238px;
  margin: 0 auto;
}

.hero-content h1 {
  font-size: var(--font-70);
  margin-bottom: 20px;
}

.hero-content h1 span {
  color: var(--color-primary);
}

.hero-content p {
  font-size: var(--font-30);
  margin-bottom: 40px;
  color: var(--color-white);
}
.hero-content br {
  display: none;
}

.cta-wrapper {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  position: relative;
  z-index: 2;
}

.cta-box {
  display: flex;
  align-items: flex-start;
  flex-direction: row;
  z-index: 2;
  background: transparent;
  text-align: center;
  justify-content: start;
  gap: 30px;
}

@media (min-width: 900px) {
  .cta-box {
    /* transform: translateX(60px); */
  }
}

.cta-box button {
  background: var(--color-primary);
  color: var(--color-white);
  padding: 14px 28px;
  font-size: var(--font-18);
  border: none;
  border-radius: 999px;
  cursor: pointer;
  margin-bottom: 20px;
}
.cta-box img {
  width: 40px;
  height: 40px;
}
.cta-box .wrapper-arrow-img-1 {
  display: none;
}
@media (max-width: 900px) {
  .cta-wrapper {
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }
  .cta-box .cta-buttons {
    display: flex;
    flex-direction: row;
    margin: 0;
    align-items: center;
  }

  .cta-buttons .icons {
    margin: 0 0 0 12px;
  }
  .cta-box .wrapper-arrow-img-1 {
    display: block;
  }
  .cta-box .wrapper-arrow-img-2 {
    display: none;
  }
  .cta-buttons .wrapper-arrow-img-1 {
    margin: 0 16px;
  }
}

.cta-buttons {
  align-items: center;
  display: flex;
  justify-content: center;
  flex-direction: column;
  /* align-items: flex-start; */
  margin-bottom: 20px;
}

.icons {
  margin-top: 10px;
}

.icons a img {
  width: 28px;
  margin: 0 8px;
  vertical-align: middle;
  transition: transform 0.2s;
}

.icons a img:hover {
  transform: scale(1.1);
}

.bottom-banner {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1;
}

.card-image {
  max-width: 100%;
  height: auto;
  display: block;
}

/* .bottom-banner {
  position: relative;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
} */

.card-image {
  width: 100%;
  height: auto;
  display: block;
}

.world-overlay {
  position: absolute;
  margin-top: 20px;
  bottom: -5px;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  max-width: 100%;
  height: auto;
  /* background: url("assets/world-screen-1.png") no-repeat center bottom; */
  background-size: contain;
  z-index: 1;
  pointer-events: none;
}

.world-card-image {
}

/* === СЕКЦИИ === */
.section {
  padding: 80px 20px;
  background: var(--color-black);
  /* text-align: center; */
}

@media (max-width: 900px) {
  .section {
    padding: 10px 10px;
    margin-top: 10px;
    background: var(--color-black);
    /* text-align: center; */
  }
}

.services-title {
  font-size: var(--font-40);
  margin-bottom: 40px;
}

/* === КАРТОЧКИ === */
.services {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 24px;
  max-width: 1200px;
  margin: 0 auto;
}

.services-grid {
  display: flex;
  gap: 32px;
  justify-content: center;
  max-width: 1200px;
  margin: 0 auto;
  flex-wrap: wrap;
}

.services-column {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.service-card {
  width: auto;
  min-height: 120px;
  background: url("assets/bg_card.png") no-repeat center center;
  background-size: cover;
  border: 1.5px solid var(--color-primary);
  border-radius: 20px;
  padding: 20px 10px 20px 20px;
  display: flex;
  justify-content: space-between;
  overflow: hidden;
  transition: all 0.3s ease;
  color: var(--color-white);
}

.service-content {
  text-align: left;
  flex-direction: column;
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

.service_card_title {
  font-size: var(--font-25);
  display: flex;
}

.service_card_title img {
  margin: 0 4px;
}

.service-content-button {
  display: flex;
  justify-content: center;
  align-items: center;
}

.details-toggle {
  background: none;
  border: none;
  color: var(--color-primary);
  font-size: var(--font-16);
  cursor: pointer;
  margin-bottom: 10px;
  padding-left: 0;
}

.details-text {
  display: none;
  font-size: var(--font-16);
  color: #ccc;
  margin-top: 8px;
  max-width: 90%;
  line-height: 1.5;
}

.details-text p {
  margin: 0;
}

.service-card.open .details-text {
  display: block;
  height: auto;
}
.service-card.open {
  padding: 30px;
}

.service-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

.service-icon img {
  /* height: 80px; */
  width: 160px;
  object-fit: contain;
  margin-left: 0px;
}

@media (max-width: 900px) {
  .services-grid {
    flex-direction: column;
    align-items: center;
  }

  .services-column {
    width: 96%;
  }

  .service-card {
    padding: 20px 10px 20px 20px;
  }
}

/* === ВИДЕО === */
.section-video {
  max-width: 1200px;
  margin: 0 auto;
}

.video-container {
  position: relative;
  width: 100%;
  margin: 0 auto;
  padding-top: 56.25%;
  height: 0;
  border-radius: 12px;
}

.video-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: none;
  border-radius: 10px;
}

.decor-icon {
  position: absolute; /* Абсолютное позиционирование относительно родителя */
  top: -60px;
  left: -100px;
  width: 80px;
  height: 80px;
}

@media (min-width: 1400px) {
  .video-container {
  }
}

/* === ПОДВАЛ === */
footer {
  background: var(--color-black);
  color: #888;
  padding: 40px 20px;
  text-align: center;
}

.faq {
  max-width: 800px;
  margin: 0 auto;
  text-align: left;
}

.faq h3 {
  cursor: pointer;
  padding: 10px;
  background: var(--color-black);
  border-bottom: 1px solid #333;
}

.faq p {
  display: none;
  padding: 10px;
  background: #222;
}

/* === STEP LINE === */
.step-line-section {
  width: 100%;
  text-align: center;
  padding: 60px 0;
}

.step-line-image {
  width: 96%;
  max-width: 1200px;
  height: auto;
  display: inline-block;
}

.step-line-image-2 {
  display: none;
}

@media (max-width: 900px) {
  .step-line-image-1 {
    display: none;
  }
  .step-line-image-2 {
    display: inline-block;
  }
}

/* === SLIDER === */
.map-slider {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  position: relative;
  max-width: 1000px;
  height: 500px;
  margin: 0 auto;
  overflow: hidden;
  text-align: center;
}

.map-slide {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: contain;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
}

.map-slide.active {
  opacity: 1;
  z-index: 1;
}

.arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgba(0, 0, 0, 0.1);
  border: none;
  color: var(--color-white);
  font-size: var(--font-40);
  padding: 8px 16px;
  border-radius: 50%;
  cursor: pointer;
  z-index: 2;
}

.arrow.prev {
  left: -10px;
}

.arrow.next {
  right: -10px;
}

.dots {
  position: absolute;
  bottom: -2px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 2;
}

.dot {
  display: inline-block;
  width: 10px;
  height: 10px;
  margin: 0 6px;
  background: #888;
  border-radius: 50%;
  cursor: pointer;
}

.dot.active {
  background: var(--color-primary);
}

@media (max-width: 1150px) {
  .arrow.next {
    display: none;
  }
  .arrow.prev {
    display: none;
  }
}

/* === ADVANTAGES === */
.advantages-section {
  position: relative;
  padding: 60px 20px;
  background: radial-gradient(circle, #0a0a0a, var(--color-black));
  overflow: hidden;
}

.advantages-section::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url("assets/bg_2.png") no-repeat left top;
  background-size: auto;
  pointer-events: none;
  z-index: 0;
}

.advantages {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 32px;
  max-width: 1200px;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}

.adv-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  text-align: center;
  color: var(--color-white);
}

.adv-card img {
  width: 60px;
  height: 60px;
}

.adv-card p {
  font-size: var(--font-20);
  line-height: 1.4;
}

.hide-mobile {
  display: block;
}

@media (max-width: 900px) {
  .cta-box button {
    padding: 16px 24px;
    margin: 0;
  }

  /* .service-card {
    width: 100%;
    height: auto;
    flex-direction: column;
    align-items: flex-start;
  } */

  .service-icon {
    display: flex;
    align-items: flex-start;
  }

  .service-icon img {
    /* margin-top: 16px; */
    width: 126px;
  }

  .step-line-image {
    width: 92%;
  }

  .advantages {
    grid-template-columns: repeat(2, 1fr);
    gap: 24px;
  }

  .hide-mobile {
    display: none;
  }
}

/* Наши партнеры  */

.partners-section {
  padding: 60px 20px;
  background: var(--color-black);
  color: var(--color-white);
  margin-top: 60px;
  scroll-margin-top: 40px;
}

.partners-row {
  display: flex;

  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 40px;
  /* max-width: 1200px; */
  margin: 0 auto;
}

.partners-text {
  /* flex: 1 1 300px; */
  min-width: 250px;
  padding-right: 60px;
}

.partners-label {
  display: flex;
  align-items: center;
  font-size: var(--font-20);
  margin-bottom: 10px;
  color: var(--color-white);
}

.partners-label .dot {
  display: inline-block;
  width: 16px;
  height: 16px;
  background-image: url("assets/dots_icon_bis.png"); /* укажи нужную иконку */
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  margin-right: 10px;
}

.partners-title {
  font-size: var(--font-40);
  font-weight: bold;
  line-height: 1.2;
}

.partners-title span {
  color: var(--color-primary);
}

.partners-logos {
  display: flex;
  flex-wrap: wrap;
  gap: 32px;
  align-items: center;
  justify-content: center;
  /* flex: 2 1 600px; */
}

.partners-logos img {
  height: 48px;
  object-fit: contain;
}

/* Адаптивность */
@media (max-width: 768px) {
  .partners-row {
    flex-direction: column;
    align-items: flex-start;
  }

  .partners-logos {
    justify-content: flex-start;
    gap: 20px;
  }
}

/* FAG */

.faq-section {
  padding: 80px 20px;
  background: var(--color-black);
  color: var(--color-white);
  max-width: 1200px;
  margin: 0 auto;
}

.faq-header {
  text-align: center;
  margin-bottom: 40px;
}

.faq-header img {
  width: 40px;
  height: 40px;
  margin-bottom: 10px;
}

.faq-header h2 {
  font-size: 2rem;
  margin: 0;
}

.faq-grid {
  display: flex;
  gap: 32px;
}

.faq-column {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 32px;
  margin: 16px;
}

.faq-item {
  width: 100%;
  border-bottom: var(--color-white) solid 1px;
}

.faq-question {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: none;
  border: none;
  color: var(--color-white);
  font-size: var(--font-20);
  cursor: pointer;
  padding: 16px 0;
}

.arrow-icon {
  width: 24px;
  height: 24px;
  transition: transform 0.3s ease;
  border-radius: 50%;
  padding: 4px;
}

.faq-item.open .arrow-icon {
  transform: rotate(180deg);
  background: var(--color-primary);
}

.faq-answer {
  padding-top: 10px;
  color: #ccc;
  font-size: var(--font-18);
  line-height: 1.5;
  display: none;
  padding-bottom: 24px;
}

.faq-item.open .faq-answer {
  display: block;
}

/* Адаптация */
@media (max-width: 800px) {
  .faq-grid {
    flex-direction: column;
    gap: 0px;
  }
}

/* === HEADER === */
.main-header {
  position: sticky;
  top: 0;
  width: 100%;
  background: linear-gradient(to right, #050505, #01010e); /* тёмный градиент */
  z-index: 100;
  border-bottom: 1px solid rgba(255, 255, 255, 0.08); /* нижний бордер */
}

.header-container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 16px 20px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.logo {
  /* display: flex;
  align-items: center;
  gap: 10px; */
}

.logo img {
  height: 36px;
}

.main-nav {
  display: flex;
  gap: 32px;
}

.main-nav a {
  color: var(--color-white);
  text-decoration: none;
  font-size: var(--font-18);
  position: relative;
  padding-bottom: 4px;
  transition: color 0.2s;
}

.main-nav a::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0%;
  height: 2px;
  background-color: var(--color-primary);
  transition: width 0.3s ease;
}

.main-nav a:hover::after {
  width: 100%;
}

.main-nav a:hover {
  color: var(--color-primary);
}

/* Адаптив */
@media (max-width: 768px) {
  .main-nav {
    display: none;
  }

  .logo img {
    height: 30px;
  }
}

/* Footer  */
.main-footer {
  background: var(--color-black);
  color: var(--color-white);
  padding: 40px 20px 20px;
  font-size: var(--font-24);
  border-top: 1px solid #222;
  width: auto;
}

.footer-top {
  max-width: 1200px;
  margin: 0 auto 8px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  border-bottom: 1px solid #222;
  padding-bottom: 20px;
}

.footer-top .social-icons {
  display: flex;
  gap: 16px;
}

.social-icons a {
  background: var(--color-white);
  border-radius: 50%;
  width: 36px;
  height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 0.2s;
}

.social-icons a:hover {
  transform: scale(1.1);
}

.social-icons img {
  width: 18px;
  height: 18px;
}

.contacts {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 8px;
}

.contacts div {
  display: flex;
  align-items: center;
  gap: 8px;
}

.footer-bottom {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  padding-top: 10px;
  font-size: var(--font-16);
  color: #aaa;
  /* border-top: 1px solid #111; */
}

.footer-links {
  display: flex;
  gap: 16px;
  flex-wrap: wrap;
  margin-top: 12px;
}

.footer-links a {
  color: var(--color-white);
  text-decoration: none;
  opacity: 0.8;
  transition: 0.2s;
}

.footer-links a:hover {
  opacity: 1;
  color: var(--color-primary);
}

@media (max-width: 900px) {
  .main-footer {
    padding: 0px;
  }
  .footer-top,
  .footer-bottom {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .footer-top {
    display: flex;
    align-items: start;
    padding: 40px 20px;
  }

  .contacts {
    align-items: center;
    margin-top: 20px;
  }

  .footer-links {
    justify-content: center;
  }

  .footer-bottom {
    gap: 10px;
    display: flex;
    align-items: start;
    padding: 2px 20px 15px 20px;
  }
}

/* Модальное окно */
.modal-overlay {
  display: none;
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(4px);
  z-index: 999;
  justify-content: center;
  align-items: center;
}

.modal-overlay.active {
  display: flex;
}

.modal-content {
  background: var(--color-black);
  border: 1px solid var(--color-primary);
  border-radius: 16px;
  padding: 40px 30px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  position: relative;
  max-width: 90%;
  width: 300px;
  box-shadow: 0 0 20px rgba(255, 255, 255, 0.1);
}

.modal-link {
  display: flex;
  align-items: center;
  gap: 12px;
  padding: 12px 16px;
  border: 1px solid var(--color-primary);
  border-radius: 12px;
  color: var(--color-white);
  font-weight: bold;
  text-decoration: none;
  transition: background 0.3s;
}

.modal-link:hover {
  background: rgba(255, 255, 255, 0.1);
}

.modal-link img {
  width: 24px;
  height: 24px;
}

.close-btn-2 {
  position: absolute;
  top: 12px;
  right: 16px;
  color: var(--color-white);
  font-size: var(--font-25);
  cursor: pointer;
}

/* rounded button  */

.rounded-outline-btn {
  padding: 12px 24px;
  border: 2px solid var(--color-white);
  background: transparent;
  color: var(--color-white);
  font-size: var(--font-15);
  border-radius: 999px; /* максимально скруглённые края */
  cursor: pointer;
  transition: background 0.3s, color 0.3s;
  height: 48px;
}

.rounded-outline-btn:hover {
  background: var(--color-white);
  color: var(--color-black);
}

/* Бизнесс отдел */
.business-section {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 80px 20px;
  max-width: 1200px;
  margin: 0 auto;
  color: var(--color-white);
}
@media (max-width: 900px) {
  .business-section {
    padding: 20px 20px;
  }
  .partners-section {
    padding: 20px 20px;
  }
  .faq-section {
    padding: 30px 20px;
  }
}

.business-content {
  flex: 1;
  max-width: 600px;
}

.business-content h2 {
  font-size: var(--font-40, 40px);
  margin-bottom: 24px;
}

.business-list {
  list-style: none;
  padding: 0;
  margin-bottom: 40px;
}

.business-list li {
  position: relative;
  margin-bottom: 24px;
  padding-left: 24px;
  font-size: var(--font-20);
  line-height: 1.6;
}

.business-list li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0.3em; /* подгоняется по вертикали */
  width: 16px;
  height: 16px;
  background-image: url("assets/dots_icon_bis.png"); /* путь к иконке */
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.business-list strong {
  font-weight: bold;
  color: var(--color-white);
}

.business-list span {
  display: block;
  margin-top: 6px;
  color: #ccc;
}

.cta-btn {
  padding: 16px 32px;
  background: var(--color-primary);
  color: var(--color-white);
  border: none;
  border-radius: 32px;
  font-size: var(--font-15);
  cursor: pointer;
  box-shadow: 0 0 12px rgba(59, 130, 246, 0.5);
  transition: background 0.3s ease;
}

.cta-btn:hover {
  background: #2563eb;
}

.business-image {
  flex: 1;
  text-align: right;
}

.business-image img {
  max-width: 100%;
  height: auto;
}

@media (max-width: 900px) {
  .business-section {
    flex-flow: column-reverse;
  }
}

/* Дополнительные  */

.service-title-icon {
  display: flex;
  flex-direction: column; /* вертикально */
  align-items: center; /* центр по горизонтали */
  justify-content: center; /* центр по вертикали */
  text-align: center;
  margin: 0 auto; /* центрирует весь блок по горизонтали */
}

.service-title-icon img {
  width: 48px;
  height: 48px;
  margin: 0 0 10px 0;
}

.partners-logos img {
  height: 48px;
}
.partners-logos .icon_1 {
  height: 78px;
}
.partners-logos .icon_2 {
  height: 60px;
}
.partners-logos .icon_3 {
  height: 51px;
}
.partners-logos .icon_4 {
  height: 35px;
}
.partners-logos .icon_5 {
  height: 62px;
}
@media (max-width: 900px) {
  .partners-logos .icon_1 {
    height: 36px;
  }
  .partners-logos .icon_2 {
    height: 27px;
  }
  .partners-logos .icon_3 {
    height: 23px;
  }
  .partners-logos .icon_4 {
    height: 16px;
  }
  .partners-logos .icon_5 {
    height: 28px;
  }
}

@media (max-width: 900px) {
  .hero-content h1 {
    font-size: var(--font-35);
    text-align: left;
  }
  .hero-content br {
    display: inline-block;
  }

  .hero-content p {
    font-size: var(--font-20);
    text-align: left;
  }

  .cta-box button {
    font-size: var(--font-15);
  }
  .services-title {
    font-size: var(--font-25);
  }
  .service_card_title {
    font-size: var(--font-20);
  }
  .details-toggle {
    font-size: var(--font-14);
  }
  .details-text {
    font-size: var(--font-14);
  }
  .arrow {
    font-size: var(--font-25);
  }
  .adv-card p {
    font-size: var(--font-14);
  }
  .partners-label {
    font-size: var(--font-16);
  }
  .partners-title {
    font-size: var(--font-30);
  }
  .faq-question {
    font-size: var(--font-18);
  }
  .faq-answer {
    font-size: var(--font-16);
  }
  .main-nav a {
    font-size: var(--font-20);
  }
  .main-footer {
    font-size: var(--font-18);
  }
  .footer-bottom {
    font-size: var(--font-11);
  }
  .rounded-outline-btn {
    font-size: var(--font-13);
  }
  .business-content h2 {
    font-size: var(--font-30);
  }
  .business-list li {
    font-size: var(--font-14);
  }
  .cta-btn {
    font-size: var(--font-13);
  }

  .hero-section {
    padding-top: 30px;
    height: calc(100vh - 110px);
  }
}

/* Скрыть бургер-кнопку на десктопе */
.burger-btn {
  display: none;
  cursor: pointer;
}

.burger-btn img {
  width: 32px;
  height: 32px;
}

.close-btn {
  display: none;
}

.mobile-menu {
  display: none;
}

@media (max-width: 900px) {
  .burger-btn {
    display: block;
  }

  .main-nav {
    display: none;
  }

  .mobile-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 50%;
    height: 100vh;
    background: var(--color-primary);
    z-index: 9999;
    transform: translateX(-100%);
    transition: transform 0.3s ease;
    padding: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    min-width: 260px;
  }

  .mobile-menu.open {
    transform: translateX(0);
  }

  .close-btn {
    display: block;
    background: none;
    border: none;
    align-self: flex-end;
    margin-bottom: 40px;
  }

  .close-btn img {
    width: 48px;
    height: 48px;
  }

  .mobile-nav {
    display: flex;
    flex-direction: column;
    gap: 30px;
  }

  .mobile-nav a {
    font-size: var(--font-25);
    color: white;
    text-decoration: none;
  }
}

.phone-link {
  color: var(--color-white);
  text-decoration: none;
  transition: color 0.2s ease;
}

.phone-link:hover {
  color: var(--color-primary);
}

.icon-hover {
  position: relative;
  display: inline-block;
  width: 36px;
  height: 36px;
}

.icon-hover img {
  position: absolute;
  top: 0;
  left: 0;
  transition: opacity 0.3s ease;
  width: 100%;
  height: 100%;
}

.icon-hover .icon-hovered {
  opacity: 0;
}

.icon-hover:hover .icon-default {
  opacity: 0;
}

.icon-hover:hover .icon-hovered {
  opacity: 1;
}

.button-card {
  background: var(--color-primary);
  font-size: var(--font-15);
  color: var(--color-white);
  padding: 12px 24px;
  border: none;
  border-radius: 999px;
  cursor: pointer;
  margin-top: 16px;
  white-space: normal;
  display: inline-block;
  max-width: 100%;
  text-align: center;
  font-weight: bold;
}

@media (max-width: 900px) {
  .button-card {
    font-size: var(--font-13);
    padding: 12px 20px;
    /* width: 100%; */
    max-width: 280px;
    display: block;
    white-space: normal;
    margin: 16px auto 0 auto;
    font-weight: bold;
  }

  .details-text {
    padding-bottom: 0;
    position: static;
  }
}

@media (max-width: 450px) {
  .footer-links {
    gap: 10px;
  }
}

.service_card_title img {
  width: 24px;
  height: auto;
}

.main-btn-bold {
  font-weight: bold;
}
